{"id":18084,"date":"2018-11-24T08:36:04","date_gmt":"2018-11-24T08:36:04","guid":{"rendered":"https:\/\/developer.kore.ai\/v8-0\/?post_type=docs&#038;p=15545"},"modified":"2021-03-25T11:15:36","modified_gmt":"2021-03-25T11:15:36","slug":"update-user-access-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v8-0\/docs\/bots\/api-guide\/update-user-access-api\/","title":{"rendered":"Update User Access API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To add or remove the ability to access bot builder, create new bots.<\/p>\n<p class=\"note\">This API requires JWT generated by an application created only from Bot Admin Console.<br \/>\nTo use this API, app needs the Admin API Scope of <em>Role Management<\/em> under <em>Role Management<\/em>.<\/p>\n<p><b>GET <\/b><code>https:\/\/{{host}}\/api\/public\/useraccess<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h3>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td>emailIds<\/td>\n<td>The array of user email Ids whose access permissions have to be changed, for example, [&#8220;joe@kore.com&#8221;, &#8220;amy@xyz.com&#8221;]<\/td>\n<\/tr>\n<tr>\n<td>canCreateBot<\/td>\n<td>Determines if the specified users can create bots in their Bot Builder accounts. Set to true or false.<\/td>\n<\/tr>\n<tr>\n<td>isDeveloper<\/td>\n<td>Determines if the specified users can have access to Bot Builder. Set to true or false.<\/td>\n<\/tr>\n<tr>\n<td>hasDataTableAndViewAccess<\/td>\n<td>Determines if the specified users can create tables and views. Set to true or false.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_Content_Type\">Response Content Type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl -X POST \\\r\n  https:\/\/{{host}}\/api\/public\/useraccess \\\r\n  -H 'Content-Type: application\/json' \\\r\n  -H 'auth: YOUR_JWT_ACCESS_TOKEN' \\\r\n  -d '{\r\n\"emailIds\":[\"sample1@sampleemail.com\"],\r\n\"canCreateBot\":true,\r\n\"isDeveloper\":true,\r\n\"hasDataTableAndViewAccess\": true\r\n}'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<ul>\n<li>For success case:\n<pre>[\r\n  \u201cSUCCESS\u201d\r\n]<\/pre>\n<\/li>\n<li>Invalid input combination: canCreateBot: true, isDeveloper: false\n<pre>{ \r\n  \"errors\": [ \r\n      { \r\n        \"msg\": \"Invalid values in the body\", \r\n        \"code\": 403 \r\n       } \r\n       ] \r\n }<\/pre>\n<\/li>\n<li>No email addresses provided: emailIds [ ] is empty\n<pre>{\r\n  \"errors\": [\r\n      { \"msg\": \"emailIds cannot be empty\", \r\n        \"code\": 400 } \r\n   ] \r\n }<\/pre>\n<\/li>\n<li>Invalid email id or any email which is not present in DB (Which is associated with the account)\n<pre>{\r\n  \"errors\": [\r\n    { \"msg\": \"One or more entered emails not found\",\r\n      \"code\": 400 }\r\n    ]\r\n }<\/pre>\n<\/li>\n<li>One or more emailIds belong to other accounts\n<pre>{\r\n  \"errors\": [ \r\n    { \"msg\": \"Emails &lt;&gt; not associated with your account\",\r\n      \"code\": 400 }\r\n    ]\r\n }<\/pre>\n<\/li>\n<\/ul>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To add or remove the ability to access bot builder, create new bots. This API requires JWT generated by an application created only from Bot Admin Console. To use this API, app needs the Admin API Scope of Role Management under Role Management. GET https:\/\/{{host}}\/api\/public\/useraccess Query Parameters Parameter Description host Environment URL, for example, https:\/\/bots.kore.ai...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18084","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18084","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/comments?post=18084"}],"version-history":[{"count":11,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18084\/revisions"}],"predecessor-version":[{"id":23656,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18084\/revisions\/23656"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/media?parent=18084"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/categories?post=18084"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/tags?post=18084"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}